%define upstream_name    Object-Declare
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Declarative object constructor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(ok)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module exports one function, 'declare', for building named objects
with a declarative syntax, similar to how the Jifty::DBI::Schema manpage
defines its columns.

In list context, 'declare' returns a list of name/object pairs in the order
of declaration (allowing duplicates), suitable for putting into a hash. In
scalar context, 'declare' returns a hash reference.

Using a flexible 'import' interface, one can change exported helper
functions names (_declarator_), words to link labels and values together
(_copula_), and the table of named classes to declare (_mapping_):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.250.0-3.mga10
+ Revision: 2206516
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.250.0-2.mga9
+ Revision: 1813469
- Mageia 9 Mass Rebuild

* Tue Oct 20 2020 tv <tv> 0.250.0-1.mga8
+ Revision: 1637203
- update to 0.25

* Fri Feb 14 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1519732
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Oct 17 2018 shlomif <shlomif> 0.240.0-1.mga7
+ Revision: 1321473
- update to 0.24

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-3.mga7
+ Revision: 1270213
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1031404
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 1002266
- update to 0.23

* Tue Feb 02 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 931136
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 739227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 685777
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 513681
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 371091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 111303
- imported package perl-Object-Declare


* Tue Jun 21 2011 cpan2dist 0.22-1mga
- initial mageia release, generated with cpan2dist
